Subject: Response to "From mangling" issue in S/MIME Version 3.1 Message Specification

From: "Blake Ramsdell" <[email-masked]>
Date: Mon, 26 Apr 2004 02:31:23 -0700

The issue raised by Peter Hesse regarding the invalidation of S/MIME
digital signatures by intermediate gateways altering lines beginning
with the word "From" in the message body has been discussed on the
ietf-smime mailing list.

The current message specification already discusses the issue of
intermediate agents potentially modifying messages (section 3.1), and
provides an example for defending against this particular modification
(section 3.1.4).

The consensus is that the current language is adequate, and the draft
does not need to be modified.

Blake
--
Blake Ramsdell | Sendmail, Inc. | http://www.sendmail.com